Demo docs: examples are illustrative.
Referral API

List referrals

GET
/referrals

Authorization

apiKey
headerAuthorizationBearer <token>

Use a secret key such as sk_test_... in test mode or sk_live_... in production.

Query Parameters

limit?integer

Number of items to return, between 1 and 100.

Range1 <= value <= 100
Default25
cursor?string

The next_cursor from a previous response.

status?string
Value in"pending""in_review""converted""rejected""expired"
referrer_id?string

Response Body

A page of referrals.

application/json
  1. response
data*array<>
has_more*boolean
next_cursor?string|null
Example Request
curl -X GET 'https://api.referralapi.example/v1/referrals'
Example Response200
{  "data": [    {      "id": "rfl_7Yp1aZc6",      "referrer_id": "string",      "referred_external_id": "string",      "status": "pending",      "risk_score": 0,      "created_at": "2019-08-24T14:15:22Z",      "converted_at": "2019-08-24T14:15:22Z"    }  ],  "has_more": true,  "next_cursor": "string"}